> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Current User



## OpenAPI

````yaml /api/openapi-finindex.json patch /api/v1/users/me
openapi: 3.1.0
info:
  title: Finindex API — ERP · Finance · Accounting
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/users/me:
    patch:
      tags:
        - Users
      summary: Update Current User
      operationId: update_current_user_api_v1_users_me_patch
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateUserRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserProfileResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    UpdateUserRequest:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        nickname:
          anyOf:
            - type: string
            - type: 'null'
          title: Nickname
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
      type: object
      title: UpdateUserRequest
    UserProfileResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        email:
          type: string
          title: Email
        role:
          type: string
          title: Role
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        nickname:
          anyOf:
            - type: string
            - type: 'null'
          title: Nickname
        database:
          additionalProperties: true
          type: object
          title: Database
      type: object
      required:
        - id
        - name
        - email
        - role
      title: UserProfileResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````